Bug 279921 - Amarok Crash when using Magnatune
Summary: Amarok Crash when using Magnatune
Status: RESOLVED DUPLICATE of bug 258706
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 280548 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-11 18:53 UTC by matthew
Modified: 2011-08-22 00:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description matthew 2011-08-11 18:53:20 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-10-generic i686
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:

Using Amarok and selecting the magnatune music store, When Amarok closed unexpectantly and I  then generated this back trace report. This occurs everytime. This is new install 1 days old, I have added Chromium, Skype and a number of other apps to the standard build.
Am willing to debug further if required and instructions provided.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb781dad0 (LWP 1255))]

Thread 12 (Thread 0xb4cb0b70 (LWP 1257)):
#0  0x0805fd41 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x01d05dd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x01dd24f2 in updateCurrentTime (this=0xb4300d2c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xb4300d2c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x01dd0d32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb4cb00cc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x01dd0dcd in timerSourcePrepare (source=0xb4300cf8, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x015adfd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x015aee63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x015af524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x01dd1577 in QEventDispatcherGlib::processEvents (this=0x90015a8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x01da3289 in QEventLoop::processEvents (this=0xb4cb0280, flags=...) at kernel/qeventloop.cpp:149
#12 0x01da3522 in QEventLoop::exec (this=0xb4cb0280, flags=...) at kernel/qeventloop.cpp:201
#13 0x01cad2a0 in QThread::exec (this=0x8b16868) at thread/qthread.cpp:492
#14 0x01d84fdb in QInotifyFileSystemWatcherEngine::run (this=0x8b16868) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x01cafda2 in QThreadPrivate::start (arg=0x8b16868) at thread/qthread_unix.cpp:320
#16 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 11 (Thread 0xadc6cb70 (LWP 1259)):
#0  0x00f455fa in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#1  0x015ade3f in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x015aee63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x015af524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x01dd1577 in QEventDispatcherGlib::processEvents (this=0x9073048, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x01da3289 in QEventLoop::processEvents (this=0xadc6c280, flags=...) at kernel/qeventloop.cpp:149
#6  0x01da3522 in QEventLoop::exec (this=0xadc6c280, flags=...) at kernel/qeventloop.cpp:201
#7  0x01cad2a0 in QThread::exec (this=0x90718d8) at thread/qthread.cpp:492
#8  0x01d84fdb in QInotifyFileSystemWatcherEngine::run (this=0x90718d8) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x01cafda2 in QThreadPrivate::start (arg=0x90718d8) at thread/qthread_unix.cpp:320
#10 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#11 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 10 (Thread 0xacc6ab70 (LWP 1264)):
#0  0x015ad5e4 in g_main_context_acquire () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x015aedde in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x015af92b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x03742304 in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#4  0x015d82df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0xab9e8b70 (LWP 3932)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0x96c5cc8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0x96c5cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0x96c5cc8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x96c5cc8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x96c5cc8, previous=0x9943fa8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xab9e82e4, parent=0x9433650, th=0x96c5cc8) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0075f05b in ThreadWeaver::Thread::run (this=0x96c5cc8) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x01cafda2 in QThreadPrivate::start (arg=0x96c5cc8) at thread/qthread_unix.cpp:320
#13 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0xb42ffb70 (LWP 3933)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0x94a7a30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0x94a7a30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0x94a7a30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x94a7a30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x94a7a30, previous=0x99564b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xb42ff2e4, parent=0x9433650, th=0x94a7a30) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0075f05b in ThreadWeaver::Thread::run (this=0x94a7a30) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x01cafda2 in QThreadPrivate::start (arg=0x94a7a30) at thread/qthread_unix.cpp:320
#13 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0xad46bb70 (LWP 3934)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0xa9100570) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0xa9100570) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0xa9100570) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0xa9100570) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0xa9100570, previous=0x96c56f8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xad46b2e4, parent=0x9433650, th=0xa9100570) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0075f05b in ThreadWeaver::Thread::run (this=0xa9100570) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x01cafda2 in QThreadPrivate::start (arg=0xa9100570) at thread/qthread_unix.cpp:320
#13 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0xa90ffb70 (LWP 3935)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0x9932ce8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0x9932ce8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0x9932ce8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x9932ce8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x9932ce8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00760589 in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x9932ce8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x9932ce8, previous=0x95b4dc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xa90ff2e4, parent=0x9433650, th=0x9932ce8) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0075f05b in ThreadWeaver::Thread::run (this=0x9932ce8) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x01cafda2 in QThreadPrivate::start (arg=0x9932ce8) at thread/qthread_unix.cpp:320
#15 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0xa88feb70 (LWP 3936)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0x995c570) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0x995c570) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0x995c570) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x995c570) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x995c570, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00760589 in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x995c570) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x995c570, previous=0xb52578a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xa88fe2e4, parent=0x9433650, th=0x995c570) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0075f05b in ThreadWeaver::Thread::run (this=0x995c570) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x01cafda2 in QThreadPrivate::start (arg=0x995c570) at thread/qthread_unix.cpp:320
#15 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xa80fdb70 (LWP 3937)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0x9748920) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0x9748920) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0x9748920) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x9748920) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x9748920, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00760589 in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x9748920) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x9748920, previous=0x930d7e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xa80fd2e4, parent=0x9433650, th=0x9748920) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0075f05b in ThreadWeaver::Thread::run (this=0x9748920) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x01cafda2 in QThreadPrivate::start (arg=0x9748920) at thread/qthread_unix.cpp:320
#15 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xa78fcb70 (LWP 3938)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0xa9101e30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0xa9101e30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0xa9101e30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0xa9101e30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0xa9101e30, previous=0x8b67cd0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xa78fc2e4, parent=0x9433650, th=0xa9101e30) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0075f05b in ThreadWeaver::Thread::run (this=0xa9101e30) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x01cafda2 in QThreadPrivate::start (arg=0xa9101e30) at thread/qthread_unix.cpp:320
#13 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xa70fbb70 (LWP 3939)):
#0  0x006f9416 in __kernel_vsyscall ()
#1  0x06aca48c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x00f453fd in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x01cb0467 in wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9433668, mutex=0x94201f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0075d7e0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9433650, th=0x96c4fb0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0076047c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x940beb8, th=0x96c4fb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0075d42b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9433650, th=0x96c4fb0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0076056a in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x96c4fb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x96c4fb0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00760589 in ThreadWeaver::WorkingHardState::applyForWork (this=0x940beb8, th=0x96c4fb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0075d373 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9433650, th=0x96c4fb0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0075ef9e in ThreadWeaver::ThreadRunHelper::run (this=0xa70fb2e4, parent=0x9433650, th=0x96c4fb0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0075f05b in ThreadWeaver::Thread::run (this=0x96c4fb0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x01cafda2 in QThreadPrivate::start (arg=0x96c4fb0) at thread/qthread_unix.cpp:320
#15 0x06ac5e99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0x00f3773e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb781dad0 (LWP 1255)):
[KCrash Handler]
#7  0x0114a452 in QString (this=0x24, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0x24, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x01150352 in KIconLoaderPrivate::makeCacheKey (this=0x10, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x01157398 in KIconLoader::loadIcon (this=0x9488260, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0x0114ed76 in KIconEngine::pixmap (this=0x981af98, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
#12 0x022ba712 in QIcon::pixmap (this=0x9814fa4, size=..., mode=QIcon::Normal, state=QIcon::Off) at image/qicon.cpp:676
#13 0x00324969 in Plasma::IconWidgetPrivate::decoration (this=0x9814f00, option=0x8aac170, useHoverEffect=false, usePressedEffect=false) at ../../plasma/widgets/iconwidget.cpp:812
#14 0x0032b21d in Plasma::IconWidget::paint (this=0x9812340, painter=0xbf9a6e0c, option=0x8aac170, widget=0x0) at ../../plasma/widgets/iconwidget.cpp:1128
#15 0x01c270dd in SystemTray::DBusSystemTrayWidget::paint (this=0x9812340, painter=0xbf9a6e0c, option=0x8aac170, widget=0x0) at ../../../../../plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:189
#16 0x0286347c in _q_paintItem (item=<value optimized out>, painter=0xbf9a6e0c, option=0x8aac170, widget=0x0, useWindowOpacity=false, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4314
#17 0x02863782 in _q_paintIntoCache (pix=0xbf9a72dc, item=0x9812348, pixmapExposed=..., itemToPixmap=..., renderHints=..., option=0x8aac170, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4352
#18 0x02877490 in QGraphicsScenePrivate::drawItemHelper (this=0x8aac020, item=0x9812348, painter=0xbf9a8ac4, option=0x8aac170, widget=0x92d3d78, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4690
#19 0x02878152 in QGraphicsScenePrivate::draw (this=0x8aac020, item=0x9812348, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, transformPtr=0xbf9a76c0, exposedRegion=0x900c478, widget=0x92d3d78, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4962
#20 0x02878e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8aac020, item=0x9812348, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, exposedRegion=0x900c478, widget=0x92d3d78, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#21 0x02877f7c in QGraphicsScenePrivate::draw (this=0x8aac020, item=0x8c03c70, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, transformPtr=0xbf9a7b60, exposedRegion=0x900c478, widget=0x92d3d78, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#22 0x02878e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8aac020, item=0x8c03c70, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, exposedRegion=0x900c478, widget=0x92d3d78, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#23 0x02877f7c in QGraphicsScenePrivate::draw (this=0x8aac020, item=0x8c7c448, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, transformPtr=0xbf9a8000, exposedRegion=0x900c478, widget=0x92d3d78, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#24 0x02878e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8aac020, item=0x8c7c448, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, exposedRegion=0x900c478, widget=0x92d3d78, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#25 0x02877f7c in QGraphicsScenePrivate::draw (this=0x8aac020, item=0x8bbe748, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, transformPtr=0xbf9a84a0, exposedRegion=0x900c478, widget=0x92d3d78, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#26 0x02878e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8aac020, item=0x8bbe748, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, exposedRegion=0x900c478, widget=0x92d3d78, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#27 0x02879696 in QGraphicsScenePrivate::drawItems (this=0x8aac020, painter=0xbf9a8ac4, viewTransform=0xbf9a88ac, exposedRegion=0x900c478, widget=0x92d3d78) at graphicsview/qgraphicsscene.cpp:4735
#28 0x02898931 in QGraphicsView::paintEvent (this=0x94a4240, event=0xbf9a91d4) at graphicsview/qgraphicsview.cpp:3469
#29 0x00157484 in PanelView::paintEvent (this=0x94a4240, event=0xbf9a91d4) at ../../../../plasma/desktop/shell/panelview.cpp:1593
#30 0x0225a18e in QWidget::event (this=0x94a4240, event=0xbf9a91d4) at kernel/qwidget.cpp:8405
#31 0x0264e9f3 in QFrame::event (this=0x94a4240, e=0xbf9a91d4) at widgets/qframe.cpp:557
#32 0x026dd062 in QAbstractScrollArea::viewportEvent (this=0x94a4240, e=0xbf9a91d4) at widgets/qabstractscrollarea.cpp:1043
#33 0x02899dff in QGraphicsView::viewportEvent (this=0x94a4240, event=0xbf9a91d4) at graphicsview/qgraphicsview.cpp:2864
#34 0x026df965 in viewportEvent (this=0x93631a0, o=0x92d3d78, e=0xbf9a91d4) at widgets/qabstractscrollarea_p.h:100
#35 QAbstractScrollAreaFilter::eventFilter (this=0x93631a0, o=0x92d3d78, e=0xbf9a91d4) at widgets/qabstractscrollarea_p.h:116
#36 0x01da425a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8aaa6b8, receiver=0x92d3d78, event=0xbf9a91d4) at kernel/qcoreapplication.cpp:846
#37 0x02201d00 in QApplicationPrivate::notify_helper (this=0x8aaa6b8, receiver=0x92d3d78, e=0xbf9a91d4) at kernel/qapplication.cpp:4458
#38 0x0220697b in QApplication::notify (this=0x8aa1850, receiver=0x92d3d78, e=0xbf9a91d4) at kernel/qapplication.cpp:4427
#39 0x011a93ca in KApplication::notify (this=0x8aa1850, receiver=0x92d3d78, event=0xbf9a91d4) at ../../kdeui/kernel/kapplication.cpp:311
#40 0x01da40bb in QCoreApplication::notifyInternal (this=0x8aa1850, receiver=0x92d3d78, event=0xbf9a91d4) at kernel/qcoreapplication.cpp:731
#41 0x02256f0c in sendSpontaneousEvent (this=0x8ff2fb0, pdev=0x8ff31bc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8e56918) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#42 QWidgetPrivate::drawWidget (this=0x8ff2fb0, pdev=0x8ff31bc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8e56918) at kernel/qwidget.cpp:5492
#43 0x02257b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x900c128, pdev=0x8ff31bc, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8e56918) at kernel/qwidget.cpp:5699
#44 0x02257a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x900c128, pdev=0x8ff31bc, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8e56918) at kernel/qwidget.cpp:5686
#45 0x02257a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x900c128, pdev=0x8ff31bc, siblings=..., index=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8e56918) at kernel/qwidget.cpp:5686
#46 0x02256c80 in QWidgetPrivate::drawWidget (this=0x900c128, pdev=0x8ff31bc, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x8e56918) at kernel/qwidget.cpp:5545
#47 0x02435398 in QWidgetBackingStore::sync (this=0x8e56918) at painting/qbackingstore.cpp:1333
#48 0x0224c843 in QWidgetPrivate::syncBackingStore (this=0x900c128) at kernel/qwidget.cpp:1842
#49 0x0225a7e5 in QWidget::event (this=0x94a4240, event=0x9354538) at kernel/qwidget.cpp:8552
#50 0x0264e9f3 in QFrame::event (this=0x94a4240, e=0x9354538) at widgets/qframe.cpp:557
#51 0x026dedcf in QAbstractScrollArea::event (this=0x94a4240, e=0x9354538) at widgets/qabstractscrollarea.cpp:996
#52 0x0288d116 in QGraphicsView::event (this=0x94a4240, event=0x9354538) at graphicsview/qgraphicsview.cpp:2741
#53 0x001577c3 in PanelView::event (this=0x94a4240, event=0x9354538) at ../../../../plasma/desktop/shell/panelview.cpp:1604
#54 0x02201d24 in QApplicationPrivate::notify_helper (this=0x8aaa6b8, receiver=0x94a4240, e=0x9354538) at kernel/qapplication.cpp:4462
#55 0x0220697b in QApplication::notify (this=0x8aa1850, receiver=0x94a4240, e=0x9354538) at kernel/qapplication.cpp:4427
#56 0x011a93ca in KApplication::notify (this=0x8aa1850, receiver=0x94a4240, event=0x9354538) at ../../kdeui/kernel/kapplication.cpp:311
#57 0x01da40bb in QCoreApplication::notifyInternal (this=0x8aa1850, receiver=0x94a4240, event=0x9354538) at kernel/qcoreapplication.cpp:731
#58 0x01da7c79 in sendEvent (receiver=0x94a4240, event_type=77, data=0x8a53f50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#59 QCoreApplicationPrivate::sendPostedEvents (receiver=0x94a4240, event_type=77, data=0x8a53f50) at kernel/qcoreapplication.cpp:1372
#60 0x01da7e0d in QCoreApplication::sendPostedEvents (receiver=0x94a4240, event_type=77) at kernel/qcoreapplication.cpp:1265
#61 0x0286fc46 in dispatchPendingUpdateRequests (this=0x8aac020) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:189
#62 QGraphicsScenePrivate::_q_processDirtyItems (this=0x8aac020) at graphicsview/qgraphicsscene.cpp:510
#63 0x02870026 in QGraphicsScene::qt_metacall (this=0x8aaa960, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xa6720a78) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#64 0x00267a9a in Plasma::Corona::qt_metacall (this=0x8aaa960, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0xa6720a78) at ./corona.moc:109
#65 0x0014a20a in DesktopCorona::qt_metacall (this=0x8aaa960, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0xa6720a78) at ./desktopcorona.moc:101
#66 0x01daa6ba in QMetaObject::metacall (object=0x8aaa960, cl=QMetaObject::InvokeMetaMethod, idx=18, argv=0xa6720a78) at kernel/qmetaobject.cpp:237
#67 0x01db4e16 in QMetaCallEvent::placeMetaCall (this=0xa670c7f8, object=0x8aaa960) at kernel/qobject.cpp:535
#68 0x01db93b7 in QObject::event (this=0x8aaa960, e=0xa670c7f8) at kernel/qobject.cpp:1226
#69 0x0287ce44 in QGraphicsScene::event (this=0x8aaa960, event=0xa670c7f8) at graphicsview/qgraphicsscene.cpp:3544
#70 0x02201d24 in QApplicationPrivate::notify_helper (this=0x8aaa6b8, receiver=0x8aaa960, e=0xa670c7f8) at kernel/qapplication.cpp:4462
#71 0x022068ce in QApplication::notify (this=0x8aa1850, receiver=0x8aaa960, e=0xa670c7f8) at kernel/qapplication.cpp:3862
#72 0x011a93ca in KApplication::notify (this=0x8aa1850, receiver=0x8aaa960, event=0xa670c7f8) at ../../kdeui/kernel/kapplication.cpp:311
#73 0x01da40bb in QCoreApplication::notifyInternal (this=0x8aa1850, receiver=0x8aaa960, event=0xa670c7f8) at kernel/qcoreapplication.cpp:731
#74 0x01da7c79 in sendEvent (receiver=0x0, event_type=0, data=0x8a53f50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#75 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8a53f50) at kernel/qcoreapplication.cpp:1372
#76 0x01da7e0d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#77 0x01dd13c4 in sendPostedEvents (s=0x8aab480) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#78 postEventSourceDispatch (s=0x8aab480) at kernel/qeventdispatcher_glib.cpp:277
#79 0x015aeaa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#80 0x015af270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#81 0x015af524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#82 0x01dd153c in QEventDispatcherGlib::processEvents (this=0x8a53aa8, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#83 0x022b81e5 in QGuiEventDispatcherGlib::processEvents (this=0x8a53aa8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#84 0x01da3289 in QEventLoop::processEvents (this=0xbf9aac44, flags=...) at kernel/qeventloop.cpp:149
#85 0x01da3522 in QEventLoop::exec (this=0xbf9aac44, flags=...) at kernel/qeventloop.cpp:201
#86 0x01da7ecc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#87 0x021ff8e7 in QApplication::exec () at kernel/qapplication.cpp:3736
#88 0x001515a5 in kdemain (argc=1, argv=0xbf9aae54) at ../../../../plasma/desktop/shell/main.cpp:118
#89 0x080485cb in main (argc=1, argv=0xbf9aae54) at plasma-desktop_dummy.cpp:3

This bug may be a duplicate of or related to bug 258706.

Possible duplicates by query: bug 279719, bug 279196, bug 278819, bug 278642, bug 278456.

Reported using DrKonqi
Comment 1 Christoph Feck 2011-08-12 00:09:37 UTC

*** This bug has been marked as a duplicate of bug 258706 ***
Comment 2 Christoph Feck 2011-08-22 00:00:46 UTC
*** Bug 280548 has been marked as a duplicate of this bug. ***